/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OpenNI 1.5.4", "index.html", [
    [ "OpenNI Overview", "index.html", "index" ],
    [ "HandTracker.java - sample program (java)", "smpl_handtracker_java.html", [
      [ "Handler for 'Hand Destroy' Event", "smpl_handtracker_java.html#htj_evhndlr_handdestr", null ]
    ] ],
    [ "NiAudioSample.cpp - sample program", "smpl_audio.html", null ],
    [ "NiBackRecorder.cpp - sample program", "smpl_back_recrdr.html", null ],
    [ "NiConvertXToONI.cpp - sample program", "smpl_cnvx_to_oni.html", null ],
    [ "NiRecordRaw.cpp - sample program", "smpl_record_raw.html", null ],
    [ "NiRecordSynthetic.cpp - sample program", "smpl_record_syn.html", null ],
    [ "NiSimpleCreate.cpp - sample program  <br>", "smpl_simple_create.html", null ],
    [ "NiSimpleRead.cpp - sample program", "smpl_simple_read.html", null ],
    [ "NiSimpleViewer.cpp - sample program", "smpl_simple_view.html", null ],
    [ "NiUserTracker - sample program", "smpl_user_tracker.html", null ],
    [ "NiViewer - sample program", "smpl_niviewer.html", null ],
    [ "Capture.cpp file", "smpl_niviewer_capture_cpp.html", [
      [ "Function: captureStart() -  Starts the Capturing Process", "smpl_niviewer_capture_cpp.html#capture_cpp_Start", null ],
      [ "Function: captureCloseWriteDevice() -  Closes a Write Device", "smpl_niviewer_capture_cpp.html#capture_cpp_CloseWriteDevice", null ],
      [ "Function: captureRestart() -  Restarts the Recording Process", "smpl_niviewer_capture_cpp.html#capture_cpp_captureRestart", null ],
      [ "Function: captureStop() -  Stops the Recording Process     <br>", "smpl_niviewer_capture_cpp.html#capture_cpp_captureStop", null ],
      [ "Function: captureFrame() -  Main State Machine for Capturing Frames from Generator Nodes", "smpl_niviewer_capture_cpp.html#capture_cpp_captureFrame", null ],
      [ "Function: captureSetFormat() -  Selects a New Codec for Recording", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat", null ],
      [ "Function group: 'Set Format' for each Production Node", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat_grp", null ],
      [ "Function: getCodecName() -  Gets Text Name of Node's  Current Codec", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName", null ],
      [ "Function group: 'getCodecName' for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName_grp", null ],
      [ "Function: 'getCaptureMessage()'", "smpl_niviewer_capture_cpp.html#capture_cpp_getCaptureMessage", null ],
      [ "Function group: 'Get File Name' - Build a file name for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getFileName_grp", null ],
      [ "Function: findUniqueFileName() -  Builds a Unique File Name for Saving a Captured Data Frame", "smpl_niviewer_capture_cpp.html#capture_cpp_findUniqueFileName", null ],
      [ "Function: captureSingleFrame() -  Captures a Single Frame   <br>", "smpl_niviewer_capture_cpp.html#capture_cpp_captureSingleFrame", null ]
    ] ],
    [ "Device.cpp file", "smpl_niviewer_device_cpp.html", null ],
    [ "Draw.cpp file", "smpl_niviewer_draw_cpp.html", null ],
    [ "Statistics.cpp file", "smpl_niviewer_stat.html", null ],
    [ "SimpleRead.java - sample program (Java)", "smpl_simple_read_java.html", null ],
    [ "SimpleRead.net - sample program (C#/.NET)", "smpl_simple_read_net.html", null ],
    [ "SimpleViewer.java - sample program (Java)", "smpl_simple_view_java.html", null ],
    [ "SimpleViewer.net - sample program  (C#/.NET)", "smpl_simple_view_net.html", null ],
    [ "UserTracker.java - sample program (Java)", "smpl_user_tracker_java.html", null ],
    [ "UserTracker.net - sample program (C#)", "smpl_user_tracker_net.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_i_xn_node_allocator_8h.html",
"_xn_module_interface_8h.html#a6645ae5fab765b315faeb84fd5392437",
"_xn_o_s_strings_8h_source.html",
"_xn_types_8h.html#a57c07f36fb2b0f355d2abb21d865096c",
"_xn_u_s_b_device_8h.html#a08bf41bc04ea5919ed8820007c198b71",
"class_xn_hash_t.html#a354ef44f9558ca045281231c071b13b3",
"class_xn_strings_node_allocator.html",
"classxn_1_1_gesture_generator.html#ac5385325cc0c6bd82fb53c29d167e17b",
"classxn_1_1_module_audio_generator.html#a5d4cdf93eabad9f75b77521404393992",
"classxn_1_1_module_image_generator.html#a7d7b31a077094f7220fc0291e2cadb06",
"classxn_1_1_module_skeleton_interface.html#aaf3da351a161cefaa05add5628cb6839",
"classxn_1_1_scene_analyzer.html#a6e00427650d1f9f965e1daea361c39b0",
"globals_g.html",
"group__mocks.html#ga2ddd2759f0e1643964acb79523b7d525",
"modules_node_inputs.html",
"struct_xn_module_exported_production_node_interface.html#aad64ce341b47c539f47ec0182ad949aa",
"struct_xn_player_input_stream_interface.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';